<?php

if (!defined('ABSPATH')) { exit; }

class gdpos_core_settings extends d4p_plugin_settings_corex {
    public $base = 'gdpos';

    public $settings = array(
        'core' => array(
            'activated' => 0
        ),
        'settings' => array(
            'cache_active' => true,
            'cache_period' => 86400,

            'replace_basic_form' => false,

            'power_search_query_arg' => true,
            'replace_default_form' => false,
            'results_collapsed_form' => false
        ),
        'form' => array(
            'order' => true,
            'order_visitors' => true,
            'order_roles' => null,

            'types' => true,
            'types_default' => 'posts',
            'types_visitors' => true,
            'types_roles' => null,

            'status' => false,
            'status_visitors' => true,
            'status_roles' => null,

            'forums' => true,
            'forums_subforums' => true,
            'forums_visitors' => true,
            'forums_roles' => null,

            'users' => true,
            'users_format' => 'input',
            'users_visitors' => false,
            'users_roles' => null,

            'tags' => true,
            'tags_visitors' => true,
            'tags_roles' => null,

            'period' => true,
            'period_visitors' => true,
            'period_roles' => null
        )
    );

    protected function constructor() {
        $this->info = new gdpos_core_info();

        add_action('gdpos_load_settings', array($this, 'init'));
    }

    protected function _name($name) : string {
        return 'dev4press_'.$this->info->code.'_'.$name;
    }
}
