<?php

if (!defined('ABSPATH')) exit;

$panels = array(
    'index' => array(
        'title' => __("Tools Index", "gd-power-search-for-bbpress"), 'icon' => 'wrench', 
        'info' => __("All plugin tools are split into several panels, and you access each starting from the right.", "gd-power-search-for-bbpress")),
    'export' => array(
        'title' => __("Export Settings", "gd-power-search-for-bbpress"), 'icon' => 'download', 
        'button' => 'button', 'button_text' => __("Export", "gd-power-search-for-bbpress"),
        'info' => __("Export all plugin settings into file.", "gd-power-search-for-bbpress")),
    'import' => array(
        'title' => __("Import Settings", "gd-power-search-for-bbpress"), 'icon' => 'upload', 
        'button' => 'submit', 'button_text' => __("Import", "gd-power-search-for-bbpress"),
        'info' => __("Import all plugin settings from export file.", "gd-power-search-for-bbpress")),
    'remove' => array(
        'title' => __("Remove Settings", "gd-power-search-for-bbpress"), 'icon' => 'refresh', 
        'button' => 'submit', 'button_text' => __("Remove", "gd-power-search-for-bbpress"),
        'info' => __("Remove selected plugin settings and information.", "gd-power-search-for-bbpress")),
    'cache' => array(
        'title' => __("Clear Cache", "gd-power-search-for-bbpress"), 'icon' => 'database', 
        'button' => 'submit', 'button_text' => __("Clear", "gd-power-search-for-bbpress"),
        'info' => __("Remove all cached data used to improve search speed.", "gd-power-search-for-bbpress"))
);

require_once(GDPOS_PATH.'forms/shared/top.php');

?>

<form method="post" action="" enctype="multipart/form-data">
    <?php settings_fields('gd-power-search-for-bbpress-tools'); ?>
    <input type="hidden" value="<?php echo $_task; ?>" name="gdpostools[panel]" />
    <input type="hidden" value="postback" name="gdpos_handler" />

    <div class="d4p-content-left">
        <div class="d4p-panel-title">
            <i aria-hidden="true" class="fa fa-wrench"></i>
            <h3><?php _e("Tools", "gd-power-search-for-bbpress"); ?></h3>
            <?php if ($_task != 'index') { ?>
            <h4><i aria-hidden="true" class="fa fa-<?php echo $panels[$_task]['icon']; ?>"></i> <?php echo $panels[$_task]['title']; ?></h4>
            <?php } ?>
        </div>
        <div class="d4p-panel-info">
            <?php echo $panels[$_task]['info']; ?>
        </div>
        <?php if ($_task != 'index') { ?>
            <div class="d4p-panel-buttons">
                <input id="gdpos-tool-<?php echo $_task; ?>" class="button-primary" type="<?php echo $panels[$_task]['button']; ?>" value="<?php echo $panels[$_task]['button_text']; ?>" />
            </div>
        <?php } ?>
    </div>
    <div class="d4p-content-right">
        <?php

        if ($_task == 'index') {
            foreach ($panels as $panel => $obj) {
                if ($panel == 'index') continue;

                $url = 'options-general.php?page=gd-power-search-for-bbpress&panel=tools&task='.$panel;

                ?>

                <div class="d4p-options-panel">
                    <i aria-hidden="true" class="fa fa-<?php echo $obj['icon']; ?>"></i>
                    <h5><?php echo $obj['title']; ?></h5>
                    <div>
                        <a class="button-primary" href="<?php echo $url; ?>"><?php _e("Tools Panel", "gd-power-search-for-bbpress"); ?></a>
                    </div>
                </div>

                <?php
            }
        } else {
            include(GDPOS_PATH.'forms/tools/'.$_task.'.php');
        }

        ?>
    </div>
</form>

<?php 

require_once(GDPOS_PATH.'forms/shared/bottom.php');
